> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List gift card orders

> Retrieve a paginated list of gift card orders for the authenticated seller.



## OpenAPI

````yaml /api/openapi.json get /v2/gift-card-orders
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/gift-card-orders:
    get:
      tags:
        - Gift Card Orders
      summary: List gift card orders
      description: >-
        Retrieve a paginated list of gift card orders for the authenticated
        seller.
      parameters:
        - name: filter[search]
          in: query
          description: Search gift card orders by id
          required: false
          schema:
            type: string
        - name: filter[gift_card_id]
          in: query
          description: >-
            Filter by exact gift card id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: 374097
        - name: filter[gift_card_offer_id]
          in: query
          description: >-
            Filter by exact gift card offer id. Supports comma-separated values
            for multiple matches.
          required: false
          schema:
            type: string
            example: 953282
        - name: filter[region_id]
          in: query
          description: >-
            Filter by exact region id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: 735836
        - name: filter[brand_id]
          in: query
          description: >-
            Filter by exact brand id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: 231504
        - name: filter[buyer_id]
          in: query
          description: >-
            Filter by exact buyer id. Supports comma-separated values for
            multiple matches.
          required: false
          schema:
            type: string
            example: 124956
        - name: filter[status]
          in: query
          description: Filter by order status
          required: false
          schema:
            enum:
              - pending
              - in_delivery
              - delivered
              - refunded
            type: string
            example: pending
        - name: filter[created_at]
          in: query
          description: >-
            Filter by created at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[updated_at]
          in: query
          description: >-
            Filter by updated at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: '2025-10-05'
        - name: filter[completed_at]
          in: query
          description: >-
            Filter by completed at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: filter[refunded_at]
          in: query
          description: >-
            Filter by refunded at. Supports single date (YYYY-MM-DD) or date
            range (YYYY-MM-DD,YYYY-MM-DD).
          required: false
          schema:
            type: string
            example: 2019-08-14,2025-12-31
        - name: sort
          in: query
          description: Sort by field. Prefix with - for descending order.
          required: false
          schema:
            enum:
              - id
              - '-id'
              - unit_price
              - '-unit_price'
              - price
              - '-price'
              - quantity
              - '-quantity'
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
              - completed_at
              - '-completed_at'
            default: '-created_at'
            type: string
            example: '-created_at'
        - name: per_page
          in: query
          description: Items per page (max 50)
          required: false
          schema:
            default: 15
            type: integer
            maximum: 50
            minimum: 1
      responses:
        '200':
          description: A paginated list of gift card orders
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GiftCardOrder'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        nullable: true
                      last:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    GiftCardOrder:
      description: Gift card order object
      type: object
      properties:
        id:
          description: Unique identifier for the gift card order
          type: integer
        gift_card_id:
          description: Related gift card ID
          type: integer
        gift_card_offer_id:
          description: Related gift card offer ID
          type: integer
          nullable: true
        region_id:
          description: Gift card region ID
          type: integer
        brand_id:
          description: Gift card brand ID
          type: integer
        buyer:
          $ref: '#/components/schemas/Buyer'
        title:
          description: Display title for the gift card order
          type: string
        face_value_amount:
          description: Face value amount of the gift card
          type: string
        face_value_unit:
          description: Currency unit for the face value
          type: string
        quantity:
          description: Number of gift cards ordered
          type: integer
        unit_price_eur:
          description: Price per unit in EUR
          type: string
        unit_price_usd:
          description: Price per unit in USD
          type: string
        price_eur:
          description: Total order price in EUR
          type: string
        price_usd:
          description: Total order price in USD
          type: string
        status:
          description: Current status of the gift card order
          enum:
            - pending
            - in_delivery
            - delivered
            - refunded
          type: string
        keys:
          description: Delivered keys/codes when deliveries are loaded
          type: array
          items:
            $ref: '#/components/schemas/GiftCardOrderDelivery'
        created_at:
          description: Unix timestamp when the order was created
          type: integer
        updated_at:
          description: Unix timestamp of the last modification
          type: integer
        completed_at:
          description: Unix timestamp when the order was completed
          type: integer
          nullable: true
        refunded_at:
          description: Unix timestamp when the order was refunded
          type: integer
          nullable: true
    Buyer:
      description: Buyer information for an order
      type: object
      properties:
        id:
          description: Unique identifier for the buyer
          type: integer
        username:
          description: Censored username of the buyer
          type: string
    GiftCardOrderDelivery:
      description: A delivered key/code for a gift card order
      type: object
      properties:
        id:
          description: Unique identifier for the delivery
          type: integer
        gift_card_order_id:
          description: Related gift card order ID
          type: integer
        key:
          description: The delivered key or code (masked until revealed)
          type: string
        type:
          description: Delivery type (e.g. text or image)
          type: object
          properties:
            value:
              enum:
                - text
                - image
              type: string
            name:
              description: Display name for the delivery type
              type: string
        created_at:
          description: Unix timestamp when the delivery was created
          type: integer
        revealed_at:
          description: Unix timestamp when the key was revealed to the buyer
          type: integer
          nullable: true
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````